/**
 * JASMINe
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RemovePurgeTaskEvent.as 5941 2010-01-15 15:41:04Z fornacif $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.datamanagement.event
{
    import com.adobe.cairngorm.control.CairngormEvent;
    import org.ow2.jasmine.monitoring.eos.datamanagement.model.DataManagementModelLocator;
    
    /**
     * @author Francois Fornaciari
     */
    public class RemovePurgeTaskEvent extends CairngormEvent
    {
        
        /**
         * Name of the Event.
         */
        public static const EVENT_REMOVE_PURGE_TASK:String = "removePurgeTask";

        private var model:DataManagementModelLocator = DataManagementModelLocator.getInstance();	
        
        private var _purgeTaskId:Number;
        
        /**
         * Default constructor.
         */
        public function RemovePurgeTaskEvent() {
            super(EVENT_REMOVE_PURGE_TASK + model.componentID);
        }
        
        public function get purgeTaskId():Number
        {
            return _purgeTaskId;
        }

        public function set purgeTaskId(value:Number):void
        {
            _purgeTaskId = value;
        }

    }
    
}
