/**
 * JASMINe
 * Copyright (C) 2009-2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: PurgeTaskVO.as 6019 2010-01-27 08:25:37Z fornacif $
 * --------------------------------------------------------------------------
 */


package org.ow2.jasmine.monitoring.eos.datamanagement.vo
{
    import com.adobe.cairngorm.vo.IValueObject;
    
    /**
     * This object is the a purge task definition.
     * @author Francois Fornaciari
     */ 
    [RemoteClass(alias="org.ow2.jasmine.event.messages.JasmineEventPurgeTask")]
    [Bindable]
    public class PurgeTaskVO implements IValueObject
    {
        
        private var _id:Number;
        private var _maxEntryAge:Number;
        private var _maxEntryNumber:int;
        private var _executionStartDate:Date;
        private var _executionInterval:Number;
        private var _executeOnAllServers:Boolean;
        private var _domainName:String;
        private var _serverName:String;
        private var _started:Boolean;
        private var _removedEvents:int;
        private var _lastExecutionDate:Date;
        
        /**
         * Default constructor.
         */
        public function PurgeTaskVO() {
        }
        
        public function get id():Number
        {
            return this._id;
        }

        public function set id(value:Number):void
        {
            this._id = value;
        }

        public function get maxEntryAge():Number
        {
            return this._maxEntryAge;
        }

        public function set maxEntryAge(value:Number):void
        {
            this._maxEntryAge = value;
        }

        public function get maxEntryNumber():int
        {
            return this._maxEntryNumber;
        }

        public function set maxEntryNumber(value:int):void
        {
            this._maxEntryNumber = value;
        }

        public function get executionStartDate():Date
        {
            return this._executionStartDate;
        }

        public function set executionStartDate(value:Date):void
        {
            this._executionStartDate = value;
        }

        public function get executionInterval():Number
        {
            return this._executionInterval;
        }

        public function set executionInterval(value:Number):void
        {
            this._executionInterval = value;
        }

        public function get executeOnAllServers():Boolean
        {
            return this._executeOnAllServers;
        }

        public function set executeOnAllServers(value:Boolean):void
        {
            this._executeOnAllServers = value;
        }

        public function get domainName():String
        {
            return _domainName;
        }

        public function set domainName(value:String):void
        {
            _domainName = value;
        }

        public function get serverName():String
        {
            return _serverName;
        }

        public function set serverName(value:String):void
        {
            _serverName = value;
        }

        public function get started():Boolean
        {
            return _started;
        }
        
        public function set started(value:Boolean):void
        {
            _started = value;
        }

        public function get removedEvents():int
        {
            return _removedEvents;
        }

        public function set removedEvents(value:int):void
        {
            _removedEvents = value;
        }

        public function get lastExecutionDate():Date
        {
            return _lastExecutionDate;
        }

        public function set lastExecutionDate(value:Date):void
        {
            _lastExecutionDate = value;
        }
        
    }
    
}